## tzdata 2025a

=== debian/changelog ===
tzdata (2025a-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2095233). Remaining changes:
    - Ship ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
  * debian/rules: rename icu-data branch from master to main
  * Update the ICU timezone data to 2025a
  * Add autopkgtest test case for ICU timezone data 2025a

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Feb 2025 13:37:02 +0100

tzdata (2025a-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update Brazilian Portuguese debconf translation.
    Thanks to Adriano Rafael Gomes <adrianorg@debian.org> (Closes: #1093450)

  [ Benjamin Drung ]
  * Add chrono autopkgtest to test C++ chrono library (LP: #2096974)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Feb 2025 12:38:27 +0100

tzdata (2025a-1) unstable; urgency=medium

  * New upstream version 2025a
    - Paraguay adopts permanent -03 starting spring 2024
    - No leap second on 2025-06-30
  * Add autopkgtest test case for 2025a release
  * Improve NEWS note about the /etc/timezone deprecation

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jan 2025 22:37:05 +0100

tzdata (2024b-6ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2024b ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 14 Jan 2025 11:12:46 +0100

tzdata (2024b-6) unstable; urgency=medium

  * Update debconf autopkgtest following the /etc/timezone change
  * Rework README.Debian. Explain how timezone are named, the split between
    the tzdata and tzdata-legacy packages, the difference between the 'posix'
    and 'right' version and the way to configure the timezone either
    interactively and programmatically (with and without systemd).
    (Closes: #498171, #602563, #848143)
  * Add a note in NEWS about the /etc/timezone deprecation

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jan 2025 23:41:11 +0100

tzdata (2024b-5) unstable; urgency=medium

  * Validate timezone using the debconf database instead of the zones files
  * Only mark debconf templates as unseen if the timezone can't be validated
  * Only create /etc/timezone if it already exists

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 08 Jan 2025 21:09:56 +0100

=== debian/control ===
Source: tzdata
Section: localization
Priority: required
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: gawk,
                     icu-devtools,
                     po-debconf,
                     python3 (>= 3.9),
                     python3-debian,
                     python3-natsort,
                     python3-polib
Rules-Requires-Root: no
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <clint@debian.org>,
           Aurelien Jarno <aurel32@debian.org>,
           Benjamin Drung <bdrung@debian.org>
Standards-Version: 4.7.0
Homepage: https://www.iana.org/time-zones
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata/+git/tzdata

Package: tzdata
Architecture: all
Multi-Arch: foreign
Depends: debconf | debconf-2.0, ${misc:Depends}
Breaks: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
Replaces: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
Provides: tzdata-trixie
Description: time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.

Package: tzdata-icu
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Conflicts: tzdata-bookworm, tzdata-bullseye
Replaces: tzdata-bookworm, tzdata-bullseye
Description: ICU time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.
 .
 This package contains the time zone data in the format used by
 International Components for Unicode (ICU).

Package: tzdata-legacy
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: tzdata, ${misc:Depends}
Breaks: tzdata (<< 2024b-3~)
Conflicts: tzdata-bookworm, tzdata-bullseye
Replaces: tzdata (<< 2024b-3~), tzdata-bookworm, tzdata-bullseye
Description: time zone data for TAI minus ten seconds
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.
 .
 This package contains timezones counted in International Atomic Time with a
 -10 second offset (TAI-10s) in /usr/share/zoneinfo/right. This is the current
 IBM recommended setting of hardware clocks on IBM mainframes, which ran on
 GMT until the inception of UTC in 1972 when TAI was 10 seconds ahead of UTC.
 IBM switched to running clocks at the atomic rate and introduced the
 10-second offset in order to avoid a discontinuity.
 .
 This package also contains legacy timezone symlinks that are not following
 the current rule of using the geographical region (continent or ocean) and
 city name.
 .
 You do not need this package if you are unsure.

## tzdata 2025b

=== debian/changelog ===
tzdata (2025b-4+deb13u1) trixie; urgency=medium

  * Backport leap second update from upstream

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Aug 2025 22:12:10 +0200

tzdata (2025b-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update Portuguese debconf translation.
    Thanks to Américo Monteiro <a_monteiro@gmx.com> (Closes: #1107419)
  * Update Italian debconf translation.
    Thanks to Ceppo <ceppo@oziosi.org> (Closes: #1108251)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Jun 2025 12:23:31 +0200

tzdata (2025b-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update Dutch debconf translation.
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
    (Closes: #1103355)

  [ Benjamin Drung ]
  * d/tzdata.config: quote variables to prevent word splitting

 -- Benjamin Drung <bdrung@debian.org>  Fri, 02 May 2025 11:00:46 +0200

tzdata (2025b-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Update German debconf translation.
    Thanks to Holger Wansing <hwansing@mailbox.org> (Closes: #1101584)
  * Update Turkish debconf translation.
    Thanks to Atila KOÇ <atilakoc@yahoo.com> (Closes: #1102353)

  [ Aurelien Jarno ]
  * Update Romanian debconf translation.
    Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
    (Closes: #1101815)
  * Update Catalan debconf translation.
    Thanks to Carles Pina i Estany <carles@pina.cat> (Closes: #1102616)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Apr 2025 14:47:47 +0200

tzdata (2025b-1) unstable; urgency=medium

  * New upstream version 2025b:
    - New America/Coyhaique zone for Aysén Region in Chile, which moves
      from -04/-03 to -03. It will not change its clocks on 2025-04-05.
    - Improve historical data for Iran
  * Add America/Coyhaique to tzdata.install and debconf templates
  * Update English, French and Spanish debconf translations for Coyhaique
  * Add autopkgtest test case for 2025b release
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 Mar 2025 00:36:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Priority: required
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gawk,
-                     icu-devtools,
                      po-debconf,
                      python3 (>= 3.9),
                      python3-debian,
                      python3-natsort,
                      python3-polib
 Rules-Requires-Root: no
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <clint@debian.org>,
            Aurelien Jarno <aurel32@debian.org>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.iana.org/time-zones
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata
-Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata/+git/tzdata
+Vcs-Git: https://salsa.debian.org/glibc-team/tzdata.git
+Vcs-Browser: https://salsa.debian.org/glibc-team/tzdata
 
 Package: tzdata
 Architecture: all
@@ -33,23 +31,6 @@
  globe. It is updated periodically to reflect changes made by
  political bodies to time zone boundaries, UTC offsets, and
  daylight-saving rules.
-
-Package: tzdata-icu
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
-Depends: ${misc:Depends}
-Conflicts: tzdata-bookworm, tzdata-bullseye
-Replaces: tzdata-bookworm, tzdata-bullseye
-Description: ICU time zone and daylight-saving time data
- This package contains data required for the implementation of
- standard local time for many representative locations around the
- globe. It is updated periodically to reflect changes made by
- political bodies to time zone boundaries, UTC offsets, and
- daylight-saving rules.
- .
- This package contains the time zone data in the format used by
- International Components for Unicode (ICU).
 
 Package: tzdata-legacy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C

TZGEN := $(CURDIR)/tzgen

%:
	dh $@

override_dh_auto_build-indep:
	# Generate a tzdata.zi and leapseconds file
	$(MAKE) AWK=gawk BACKWARD="backward" PACKRATDATA=backzone PACKRATLIST=zone.tab VERSION_DEPS= tzdata.zi leapseconds

	# Build the timezone data
	/usr/sbin/zic -b fat -d $(TZGEN) -L /dev/null tzdata.zi
	/usr/sbin/zic -b fat -d $(TZGEN)/right -L leapseconds tzdata.zi

	# Replace hardlinks by symlinks
	grep '^L ' $(CURDIR)/tzdata.zi | while read L target name ; do \
		absolute_name="$(TZGEN)/$$name"; \
		relative_target=$$(realpath -m -s --relative-to="$${absolute_name%/*}" "$(TZGEN)/$$target"); \
		ln -sf "$$relative_target" "$(TZGEN)/$$name" ; \
		ln -sf "$$relative_target" "$(TZGEN)/right/$$name" ; \
	done

	# Generate a posixrules file
	ln -s America/New_York $(TZGEN)/posixrules

	debian/generate_debconf_templates -d "$(TZGEN)" > debian/tzdata.templates
	debconf-updatepo

# The upstream tests are related to the sources. Just skip it.
override_dh_auto_test:
	debian/test_timezone_conversions -z "$(TZGEN)"
	PYTHONTZPATH="$(TZGEN)" debian/tests/python
	debian/check_translations debian/po/*.po

override_dh_auto_install:
	mkdir -p debian/tmp/usr/share/zoneinfo
	cp -r tzgen/* debian/tmp/usr/share/zoneinfo

override_dh_auto_clean:
	-rm -rf $(TZGEN)
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: chrono
Depends: g++, python3 (>= 3.9), tzdata
Restrictions: allow-stderr

Tests: debconf
Depends: python3, tzdata
Restrictions: allow-stderr needs-root

Tests: python
Depends: python3 (>= 3.9), tzdata, tzdata-legacy
Restrictions: allow-stderr

Test-command: NO_LEGACY_TIMEZONES=1 debian/tests/python
Depends: python3 (>= 3.9), tzdata
Restrictions: allow-stderr
Features: test-name=python_no_legacy

Test-command: debian/test_timezone_conversions -d /var/lib/dpkg/info/
Depends: python3, python3-debian, tzdata, tzdata-legacy
Restrictions: allow-stderr superficial
Features: test-name=test_timezone_conversions

Test-command: debian/test_timezone_conversions -d /var/lib/dpkg/info/ --all-selectable
Depends: python3, python3-debian, tzdata
Restrictions: allow-stderr superficial
Features: test-name=test_timezone_conversions_no_legacy

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://data.iana.org/time-zones/releases/tzdata(\d+\w)\.tar\.gz

## tzdata 2025c

=== Makefile ===
# Make and install tzdb code and data.
# This file is in the public domain, so clarified as of
# 2009-05-17 by Arthur David Olson.
# Request POSIX conformance; this must be the first non-comment line.
.POSIX:
# By default, builds of code and data assume POSIX.1-2001 or later;
# this assumption can be relaxed by tailoring the build as described below.
# On older platforms you may need to scrounge for POSIX conformance.
# For example, on Solaris 10 (2005) with Sun Studio 12 aka Sun C 5.9 (2007),
# use 'PATH=/usr/xpg4/bin:$PATH make CC=c99'.
# Reproducible builds of distribution tarballs also need a copy of the
# Git repository, and assume the behavior of the following programs
# (or later versions):
#	Git 2.7.0 (2016)
#	GNU Coreutils 6.3 (2006)
#	GNU Tar 1.14 (2004)
#	GnuPG 1.4 (2004)
# Although tzdb does not come with a software bill of materials,
# you should be able to construct one based on the above information,
# your platform, and the way you use this Makefile.

# To affect how this Makefile works, you can run a shell script like this:
#
#	#!/bin/sh
#	make CFLAGS='-O2 -DHAVE_GETTEXT=0' "$@"
#
# This example script is appropriate for a GNU/Linux system
# which needs more optimization than default, and which does not want
# gettext's internationalization of diagnostics.
#
# Alternatively, you can simply edit this Makefile to tailor the following
# macro definitions.

###############################################################################
# Start of macros that one plausibly might want to tailor.

# Package name for the code distribution.
PACKAGE=	tzcode

# Version number for the distribution, overridden in the 'tarballs' rule below.
VERSION=	unknown

# Email address for bug reports.
BUGEMAIL=	tz@iana.org

# DATAFORM selects the data format.
# Available formats represent essentially the same data, albeit
# possibly with minor discrepancies that users are not likely to notice.
# To get new features and the best data right away, use:
#	DATAFORM=	vanguard
# To wait a while before using new features, to give downstream users
# time to upgrade zic (the default), use:
#	DATAFORM=	main
# To wait even longer for new features, use:
#	DATAFORM=	rearguard
# Rearguard users might also want "ZFLAGS = -b fat"; see below.
DATAFORM=		main

# Change the line below for your timezone (after finding the one you want in
# one of the $(TDATA) source files, or adding it to a source file).
# Alternatively, if you discover you've got the wrong timezone, you can just
# 'zic -l -' to remove it, or 'zic -l rightzone' to change it.
# Use the command
#	make zonenames
# to get a list of the values you can use for LOCALTIME.

LOCALTIME=	Factory

# The POSIXRULES macro controls interpretation of POSIX-like TZ
# settings like TZ='EET-2EEST' that lack DST transition rules.
# If POSIXRULES is '-', no template is installed; this is the default.
# Any other value for POSIXRULES is obsolete and should not be relied on, as:
# * It does not work correctly in popular implementations such as GNU/Linux.
# * It does not work even in tzcode, except for historical timestamps
#   that precede the last explicit transition in the POSIXRULES file.
#   Hence it typically does not work for current and future timestamps.
# If, despite the above, you want a template for handling these settings,
# you can change the line below (after finding the timezone you want in the
# one of the $(TDATA) source files, or adding it to a source file).
# Alternatively, if you discover you've got the wrong timezone, you can just
# 'zic -p -' to remove it, or 'zic -p rightzone' to change it.
# Use the command
#	make zonenames
# to get a list of the values you can use for POSIXRULES.

POSIXRULES=	-

# Also see TZDEFRULESTRING below, which takes effect only
# if POSIXRULES is '-' or if the template file cannot be accessed.


# Installation locations.
#
# The defaults are suitable for Debian, except that if REDO is
# posix_right or right_posix then files that Debian puts under
# /usr/share/zoneinfo/posix and /usr/share/zoneinfo/right are instead
# put under /usr/share/zoneinfo-posix and /usr/share/zoneinfo-leaps,
# respectively.  Problems with the Debian approach are discussed in
# the commentary for the right_posix rule (below).

# Destination directory, which can be used for staging.
# 'make DESTDIR=/stage install' installs under /stage (e.g., to
# /stage/etc/localtime instead of to /etc/localtime).  Files under
# /stage are not intended to work as-is, but can be copied by hand to
# the root directory later.  If DESTDIR is empty, 'make install' does
# not stage, but installs directly into production locations.
DESTDIR =

# Everything is installed into subdirectories of TOPDIR, and used there.
# TOPDIR should be empty (meaning the root directory),
# or a directory name that does not end in "/".
# TOPDIR should be empty or an absolute name unless you're just testing.
TOPDIR =

# The default local timezone is taken from the file TZDEFAULT.
TZDEFAULT = $(TOPDIR)/etc/localtime

# The subdirectory containing installed program and data files, and
# likewise for installed files that can be shared among architectures.
# These should be relative file names.
USRDIR = usr
USRSHAREDIR = $(USRDIR)/share

# "Compiled" timezone information is placed in the "TZDIR" directory
# (and subdirectories).
# TZDIR_BASENAME should not contain "/" and should not be ".", ".." or empty.
TZDIR_BASENAME=	zoneinfo
TZDIR = $(TOPDIR)/$(USRSHAREDIR)/$(TZDIR_BASENAME)

# The "tzselect" and (if you do "make INSTALL") "date" commands go in:
BINDIR = $(TOPDIR)/$(USRDIR)/bin

# The "zdump" command goes in:
ZDUMPDIR = $(BINDIR)

# The "zic" command goes in:
ZICDIR = $(TOPDIR)/$(USRDIR)/sbin

# Manual pages go in subdirectories of. . .
MANDIR = $(TOPDIR)/$(USRSHAREDIR)/man

# Library functions are put in an archive in LIBDIR.
LIBDIR = $(TOPDIR)/$(USRDIR)/lib


# Types to try, as an alternative to time_t.
TIME_T_ALTERNATIVES = $(TIME_T_ALTERNATIVES_HEAD) $(TIME_T_ALTERNATIVES_TAIL)
TIME_T_ALTERNATIVES_HEAD = int_least64_t.ck
TIME_T_ALTERNATIVES_TAIL = int_least32_t.ck uint_least32_t.ck \
  uint_least64_t.ck

# What kind of TZif data files to generate.  (TZif is the binary time
# zone data format that zic generates; see Internet RFC 9636.)
# If you want only POSIX time, with time values interpreted as
# seconds since the epoch (not counting leap seconds), use
#	REDO=		posix_only
# below.  If you want only "right" time, with values interpreted
# as seconds since the epoch (counting leap seconds), use
#	REDO=		right_only
# below.  If you want both sets of data available, with leap seconds not
# counted normally, use
#	REDO=		posix_right
# below.  If you want both sets of data available, with leap seconds counted
# normally, use
#	REDO=		right_posix
# below.  POSIX mandates that leap seconds not be counted, and a
# nonnegative TZ_CHANGE_INTERVAL also assumes this, so to be compatible with
# these, use "posix_only" or "posix_right".  Use POSIX time on systems with
# leap smearing; this can work better than unsmeared "right" time with
# applications that are not leap second aware, and is closer to unsmeared
# "right" time than unsmeared POSIX time is (e.g., 0.5 vs 1.0 s max error).

REDO=		posix_right

# Whether to put an "Expires" line in the leapseconds file.
# Use EXPIRES_LINE=1 to put the line in, 0 to omit it.
# The EXPIRES_LINE value matters only if REDO's value contains "right".
# If you change EXPIRES_LINE, remove the leapseconds file before running "make".
# zic's support for the Expires line was introduced in tzdb 2020a,
# and was modified in tzdb 2021b to generate version 4 TZif files.
# EXPIRES_LINE defaults to 0 for now so that the leapseconds file
# can be given to pre-2020a zic implementations and so that TZif files
# built by newer zic implementations can be read by pre-2021b libraries.
EXPIRES_LINE=	0

# To install data in text form that has all the information of the TZif data,
# (optionally incorporating leap second information), use
#	TZDATA_TEXT=	tzdata.zi leapseconds
# To install text data without leap second information (e.g., because
# REDO='posix_only'), use
#	TZDATA_TEXT=	tzdata.zi
# To avoid installing text data, use
#	TZDATA_TEXT=

TZDATA_TEXT=	leapseconds tzdata.zi

# For backward-compatibility links for old zone names, use
#	BACKWARD=	backward
# To omit these links, use
#	BACKWARD=

BACKWARD=	backward

# If you want out-of-scope and often-wrong data from the file 'backzone',
# but only for entries listed in the backward-compatibility file zone.tab, use
#	PACKRATDATA=	backzone
#	PACKRATLIST=	zone.tab
# If you want all the 'backzone' data, use
#	PACKRATDATA=	backzone
#	PACKRATLIST=
# To omit this data, use
#	PACKRATDATA=
#	PACKRATLIST=

PACKRATDATA=
PACKRATLIST=

# The name of a locale using the UTF-8 encoding, used during self-tests.
# The tests are skipped if the name does not appear to work on this system.

UTF8_LOCALE=	en_US.utf8

# Extra flags for producing man page files like tzfile.5.txt.
# These flags are used only if groff (or mandoc) is present.
# Each option should begin with "-" and should lack shell metacharacters.
# Plausible options include -Tascii and -Tutf8.
MANFLAGS=	-Tutf8

# Non-default libraries needed to link.
# On some hosts, this should have -lintl unless CFLAGS has -DHAVE_GETTEXT=0.
LDLIBS=

# Add the following to an uncommented "CFLAGS=" line as needed
# to override defaults specified in the source code or by the system.
# "-DFOO" is equivalent to "-DFOO=1".
#  -DDEPRECATE_TWO_DIGIT_YEARS for optional runtime warnings about strftime
#	formats that generate only the last two digits of year numbers
#  -DEPOCH_LOCAL if the 'time' function returns local time not UT
#  -DEPOCH_OFFSET=N if the 'time' function returns a value N greater
#	than what POSIX specifies, assuming local time is UT.
#	For example, N is 252460800 on AmigaOS.
#  -DFREE_PRESERVES_ERRNO=[01] if the 'free' function munges or preserves errno
#	(default is guessed)
#  -DHAVE_DECL_ASCTIME_R=0 if <time.h> does not declare asctime_r
#	on POSIX platforms predating POSIX.1-2024
#  -DHAVE_DECL_ENVIRON if <unistd.h> declares 'environ'
#  -DHAVE_DECL_TIMEGM=0 if <time.h> does not declare timegm
#  -DHAVE_DIRECT_H if mkdir needs <direct.h> (MS-Windows)
#  -DHAVE_FCHMOD=0 if your system lacks the fchmod function
#  -DHAVE__GENERIC=0 if _Generic does not work*
#  -DHAVE_GETEUID=0 if gete?[ug]id do not work
#  -DHAVE_GETRANDOM if getrandom works (e.g., GNU/Linux),
#	-DHAVE_GETRANDOM=0 to avoid using getrandom
#  -DHAVE_GETRESUID=0 if getres[ug]id do not work
#  -DHAVE_GETTEXT if gettext works (e.g., GNU/Linux, FreeBSD, Solaris),
#	where LDLIBS also needs to contain -lintl on some hosts;
#	-DHAVE_GETTEXT=0 to avoid using gettext
#  -DHAVE_INCOMPATIBLE_CTIME_R if your system's time.h declares
#	ctime_r and asctime_r incompatibly with POSIX.1-2017 and earlier
#	(Solaris when _POSIX_PTHREAD_SEMANTICS is not defined).
#  -DHAVE_INTTYPES_H=0 if <inttypes.h> does not work*+
#  -DHAVE_ISSETUGID=1 if issetugid works, 0 otherwise (default is guessed)
#	If 0, you may also use -DHAVE_SYS_AUXV_H=1 if <sys/auxv.h> works,
#	0 otherwise (default is guessed).
#  -DHAVE_LINK=0 if your system lacks a link function
#  -DHAVE_LOCALTIME_R=0 if your system lacks a localtime_r function
#  -DHAVE_LOCALTIME_RZ=0 if you do not want zdump to use localtime_rz
#	localtime_rz can make zdump significantly faster, but is nonstandard.
#  -DHAVE_MALLOC_ERRNO=0 if malloc etc. do not set errno on failure.
#  -DHAVE_MEMPCPY=1 if your system has mempcpy, 0 if not (default is guessed)
#  -DHAVE_POSIX_DECLS=0 if your system's include files do not declare
#	variables like 'tzname' required by POSIX
#  -DHAVE_PWD_H=0 if your system lacks pwd.h, grp.h and corresponding functions
#	If 0, you may also need -Dgid_t=G -Duid_t=U
#	to define gid_t and uid_t to be types G and U.
#  -DHAVE_SETENV=0 if your system lacks the setenv function
#  -DHAVE_SETMODE=[01] if your system lacks or has the setmode and getmode

=== debian/changelog ===
tzdata (2025c-3ubuntu3) resolute; urgency=medium

  * Revert forcing using gnudate and declare breaking rust-coreutils before
    version 0.5.0 (LP: #2130471)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 26 Jan 2026 12:01:21 +0100

tzdata (2025c-3ubuntu2) resolute; urgency=medium

  * fix error on the 31st day of month with rust-coreutils (LP: #2130471)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 12 Jan 2026 09:54:36 -0500

tzdata (2025c-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2025b ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 18 Dec 2025 17:56:18 +0100

tzdata (2025c-3) unstable; urgency=medium

  * Also remove /etc/timezone on upgrades from Ubuntu 25.10 "questing" older

 -- Benjamin Drung <bdrung@debian.org>  Thu, 18 Dec 2025 16:55:15 +0100

tzdata (2025c-2) unstable; urgency=medium

  * Remove /etc/timezone on upgrade (Closes: #605834, #813226, #822733)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Dec 2025 23:51:19 +0100

tzdata (2025c-1) unstable; urgency=medium

  * New upstream version 2025c
  * Update French debconf translation.
    Thanks to Baptiste Jammet <baptiste@mailoo.org> (Closes: #1118004)
  * Drop No-leap-second-on-2025-12-31.patch (merged upstream)
  * Update Swedish debconf translation.
    Thanks to Martin Bagge <brother@persilja.net> (Closes: #1122575)
  * debian/control: drop Rules-Requires-Root field, now obsolete
  * debian/watch: update to version 5
  * Add autopkgtest test case for 2025c release

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Dec 2025 20:40:17 +0100

tzdata (2025b-5ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2025b ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad
    - Drop /etc/timezone and remove it on upgrades (LP #2109511)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 Oct 2025 11:49:26 +0200

tzdata (2025b-5) unstable; urgency=medium

  * Change Provides: from tzdata-trixie to tzdata-forky
  * Backport leap second update from upstream

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Aug 2025 16:55:09 +0200

tzdata (2025b-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2025a ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad
  * Update the ICU timezone data to 2025b (LP: #2107950)
  * Add autopkgtest test case for ICU timezone data 2025b
  * Drop /etc/timezone and remove it on upgrades (LP: #2109511)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 02 May 2025 11:32:59 +0200

tzdata (2025b-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2104284). Remaining changes:
    - Ship 2025a ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad
  * No ICU data update yet as none is yet available upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Mar 2025 18:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,34 +3,54 @@
 Priority: required
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gawk,
+                     icu-devtools,
                      po-debconf,
                      python3 (>= 3.9),
                      python3-debian,
                      python3-natsort,
                      python3-polib
-Rules-Requires-Root: no
-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <clint@debian.org>,
            Aurelien Jarno <aurel32@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Standards-Version: 4.7.2
 Homepage: https://www.iana.org/time-zones
-Vcs-Git: https://salsa.debian.org/glibc-team/tzdata.git
-Vcs-Browser: https://salsa.debian.org/glibc-team/tzdata
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata/+git/tzdata
 
 Package: tzdata
 Architecture: all
 Multi-Arch: foreign
 Depends: debconf | debconf-2.0, ${misc:Depends}
-Breaks: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
+Breaks: rust-coreutils (<< 0.5.0),
+        tzdata-legacy (= 2023c-8),
+        tzdata-legacy (= 2023c-9)
 Replaces: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
-Provides: tzdata-trixie
+Provides: tzdata-forky
 Description: time zone and daylight-saving time data
  This package contains data required for the implementation of
  standard local time for many representative locations around the
  globe. It is updated periodically to reflect changes made by
  political bodies to time zone boundaries, UTC offsets, and
  daylight-saving rules.
+
+Package: tzdata-icu
+Architecture: all
+Multi-Arch: foreign
+Priority: optional
+Depends: ${misc:Depends}
+Conflicts: tzdata-bookworm, tzdata-bullseye
+Replaces: tzdata-bookworm, tzdata-bullseye
+Description: ICU time zone and daylight-saving time data
+ This package contains data required for the implementation of
+ standard local time for many representative locations around the
+ globe. It is updated periodically to reflect changes made by
+ political bodies to time zone boundaries, UTC offsets, and
+ daylight-saving rules.
+ .
+ This package contains the time zone data in the format used by
+ International Components for Unicode (ICU).
 
 Package: tzdata-legacy
 Architecture: all

=== debian/watch ===
Version: 5
Source: https://data.iana.org/time-zones/releases/
Matching-Pattern: tzdata(\d+\w)\.tar\.gz
Pgpsigurlmangle: s/$/.asc/

## tzdata 2026a

=== debian/changelog ===
tzdata (2026a-1) unstable; urgency=medium

  * New upstream version 2026a:
    - No leap second on 2026-06-30
    - Moldova has used EU transition times since 2022
  * Add autopkgtest test case for 2026a release
  * Bump Standards-Version to 4.7.3 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Mar 2026 20:45:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,25 @@
 Priority: required
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gawk,
-                     icu-devtools,
                      po-debconf,
                      python3 (>= 3.9),
                      python3-debian,
                      python3-natsort,
                      python3-polib
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <clint@debian.org>,
            Aurelien Jarno <aurel32@debian.org>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.iana.org/time-zones
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata
-Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata/+git/tzdata
+Vcs-Git: https://salsa.debian.org/glibc-team/tzdata.git
+Vcs-Browser: https://salsa.debian.org/glibc-team/tzdata
 
 Package: tzdata
 Architecture: all
 Multi-Arch: foreign
 Depends: debconf | debconf-2.0, ${misc:Depends}
-Breaks: rust-coreutils (<< 0.5.0),
-        tzdata-legacy (= 2023c-8),
-        tzdata-legacy (= 2023c-9)
+Breaks: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
 Replaces: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
 Provides: tzdata-forky
 Description: time zone and daylight-saving time data
@@ -34,23 +30,6 @@
  globe. It is updated periodically to reflect changes made by
  political bodies to time zone boundaries, UTC offsets, and
  daylight-saving rules.
-
-Package: tzdata-icu
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
-Depends: ${misc:Depends}
-Conflicts: tzdata-bookworm, tzdata-bullseye
-Replaces: tzdata-bookworm, tzdata-bullseye
-Description: ICU time zone and daylight-saving time data
- This package contains data required for the implementation of
- standard local time for many representative locations around the
- globe. It is updated periodically to reflect changes made by
- political bodies to time zone boundaries, UTC offsets, and
- daylight-saving rules.
- .
- This package contains the time zone data in the format used by
- International Components for Unicode (ICU).
 
 Package: tzdata-legacy
 Architecture: all
